org.apache.solr.hadoop

## Class PathArgumentType

- java.lang.Object
- - org.apache.solr.hadoop.PathArgumentType

- All Implemented Interfaces:
    net.sourceforge.argparse4j.inf.ArgumentType<org.apache.hadoop.fs.Path>

      public class PathArgumentType
      extends Object
      implements net.sourceforge.argparse4j.inf.ArgumentType<org.apache.hadoop.fs.Path>

  ArgumentType subclass for HDFS Path type, using fluent style API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathArgumentType(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathArgumentType` | `acceptSystemIn()`
    `org.apache.hadoop.fs.Path` | `convert(net.sourceforge.argparse4j.inf.ArgumentParser parser, net.sourceforge.argparse4j.inf.Argument arg, String value)`
    `PathArgumentType` | `verifyCanExecute()`
    `PathArgumentType` | `verifyCanRead()`
    `PathArgumentType` | `verifyCanWrite()`
    `PathArgumentType` | `verifyCanWriteParent()`
    `PathArgumentType` | `verifyExists()`
    `PathArgumentType` | `verifyHasScheme()`
    `PathArgumentType` | `verifyIsAbsolute()`
    `PathArgumentType` | `verifyIsDirectory()`
    `PathArgumentType` | `verifyIsFile()`
    `PathArgumentType` | `verifyNotExists()`
    `PathArgumentType` | `verifyScheme(String scheme)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathArgumentType

          public PathArgumentType(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### acceptSystemIn

          public PathArgumentType acceptSystemIn()

    - #### verifyExists

          public PathArgumentType verifyExists()

    - #### verifyNotExists

          public PathArgumentType verifyNotExists()

    - #### verifyIsFile

          public PathArgumentType verifyIsFile()

    - #### verifyIsDirectory

          public PathArgumentType verifyIsDirectory()

    - #### verifyCanRead

          public PathArgumentType verifyCanRead()

    - #### verifyCanWrite

          public PathArgumentType verifyCanWrite()

    - #### verifyCanWriteParent

          public PathArgumentType verifyCanWriteParent()

    - #### verifyCanExecute

          public PathArgumentType verifyCanExecute()

    - #### verifyIsAbsolute

          public PathArgumentType verifyIsAbsolute()

    - #### verifyHasScheme

          public PathArgumentType verifyHasScheme()

    - #### verifyScheme

          public PathArgumentType verifyScheme(String scheme)

    - #### convert

          public org.apache.hadoop.fs.Path convert(net.sourceforge.argparse4j.inf.ArgumentParser parser,
                                                   net.sourceforge.argparse4j.inf.Argument arg,
                                                   String value)
                                            throws net.sourceforge.argparse4j.inf.ArgumentParserException

      Specified by:
        `convert` in interface `net.sourceforge.argparse4j.inf.ArgumentType<org.apache.hadoop.fs.Path>`
      Throws:
        `net.sourceforge.argparse4j.inf.ArgumentParserException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.